package com.demo.entity.po.bak;

import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * 有风险的文件
 */
@Document(collection="RiskFile")
public class RiskFile {
    private String key;
    private String type;
    private String path;
    private String option;
    private List<String> words;
    private String os;

    public RiskFile() {
    }

    public RiskFile(String key, String type, String path, String option, List<String> words, String os) {
        this.key = key;
        this.type = type;
        this.path = path;
        this.option = option;
        this.words = words;
        this.os = os;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getOption() {
        return option;
    }

    public void setOption(String option) {
        this.option = option;
    }

    public List<String> getWords() {
        return words;
    }

    public void setWords(List<String> words) {
        this.words = words;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }
}
